POST /tax/transactions/\{transactionId\}/reverse-charge
POST/tax/transactions/:transactionId/reverse-charge
POST /tax/transactions/{transactionId}/reverse-charge
Request
Path Parameters
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
Body
Body
Body
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Array [
Array [
]
Array [
]
]
Array [
]
Array [
]
transaction_type
object
contact
object
address
object
Possible values: <= 2 characters
tax_nexus
object
taxes
object[]
nullable
rates
object[]
nullable
jurisdiction
object
rows
object[]
nullable
taxes
object[]
nullable
fx_rates
object[]
nullable
taxes
object[]
nullable
gl_account
object
fx_rates
object[]
nullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_locked": true,
"debit": 0,
"credit": 0,
"description": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"payment_reference": "string",
"date_issued": "2024-07-29",
"date_due": "2024-07-29",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"currency": "string",
"precision": 0,
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"tax_nexus": {
"id": 0,
"code": "string",
"currency": "string",
"taxes": [
{
"index": 0,
"code": "string",
"name": "string",
"currency": "string",
"rate_type": "string",
"is_implicit": true,
"rates": [
{
"rate": 0,
"is_default": true
}
]
}
],
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string",
"city": "string",
"postal_code": "string"
},
"registration_mode": "string"
},
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"accounting_status": "string",
"rows": [
{
"id": 0,
"is_locked": true,
"order": 0,
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"taxes": [
{
"id": 0,
"is_locked": true,
"description": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"is_reverse_charge": true,
"tax_index": 0,
"tax_code": "string",
"tax_name": "string",
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
}
],
"fx_rates": [
{
"rate": 0,
"currency": "string",
"source": "string"
}
]
}
],
"taxes": [
{
"id": 0,
"debit": 0,
"credit": 0,
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
}
}
],
"fx_rates": [
{
"rate": 0,
"currency": "string",
"source": "string"
}
],
"tax_fx_rate": 0
}
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Array [
Array [
]
Array [
]
]
Array [
]
Array [
]
transaction_type
object
contact
object
address
object
Possible values: <= 2 characters
tax_nexus
object
taxes
object[]
nullable
rates
object[]
nullable
jurisdiction
object
rows
object[]
nullable
taxes
object[]
nullable
fx_rates
object[]
nullable
taxes
object[]
nullable
gl_account
object
fx_rates
object[]
nullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_locked": true,
"debit": 0,
"credit": 0,
"description": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"payment_reference": "string",
"date_issued": "2024-07-29",
"date_due": "2024-07-29",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"currency": "string",
"precision": 0,
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"tax_nexus": {
"id": 0,
"code": "string",
"currency": "string",
"taxes": [
{
"index": 0,
"code": "string",
"name": "string",
"currency": "string",
"rate_type": "string",
"is_implicit": true,
"rates": [
{
"rate": 0,
"is_default": true
}
]
}
],
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string",
"city": "string",
"postal_code": "string"
},
"registration_mode": "string"
},
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"accounting_status": "string",
"rows": [
{
"id": 0,
"is_locked": true,
"order": 0,
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"taxes": [
{
"id": 0,
"is_locked": true,
"description": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"is_reverse_charge": true,
"tax_index": 0,
"tax_code": "string",
"tax_name": "string",
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
}
],
"fx_rates": [
{
"rate": 0,
"currency": "string",
"source": "string"
}
]
}
],
"taxes": [
{
"id": 0,
"debit": 0,
"credit": 0,
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
}
}
],
"fx_rates": [
{
"rate": 0,
"currency": "string",
"source": "string"
}
],
"tax_fx_rate": 0
}
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Array [
Array [
]
Array [
]
]
Array [
]
Array [
]
transaction_type
object
contact
object
address
object
Possible values: <= 2 characters
tax_nexus
object
taxes
object[]
nullable
rates
object[]
nullable
jurisdiction
object
rows
object[]
nullable
taxes
object[]
nullable
fx_rates
object[]
nullable
taxes
object[]
nullable
gl_account
object
fx_rates
object[]
nullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_locked": true,
"debit": 0,
"credit": 0,
"description": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"payment_reference": "string",
"date_issued": "2024-07-29",
"date_due": "2024-07-29",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"currency": "string",
"precision": 0,
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"tax_nexus": {
"id": 0,
"code": "string",
"currency": "string",
"taxes": [
{
"index": 0,
"code": "string",
"name": "string",
"currency": "string",
"rate_type": "string",
"is_implicit": true,
"rates": [
{
"rate": 0,
"is_default": true
}
]
}
],
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string",
"city": "string",
"postal_code": "string"
},
"registration_mode": "string"
},
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"accounting_status": "string",
"rows": [
{
"id": 0,
"is_locked": true,
"order": 0,
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"taxes": [
{
"id": 0,
"is_locked": true,
"description": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"is_reverse_charge": true,
"tax_index": 0,
"tax_code": "string",
"tax_name": "string",
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
}
],
"fx_rates": [
{
"rate": 0,
"currency": "string",
"source": "string"
}
]
}
],
"taxes": [
{
"id": 0,
"debit": 0,
"credit": 0,
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
}
}
],
"fx_rates": [
{
"rate": 0,
"currency": "string",
"source": "string"
}
],
"tax_fx_rate": 0
}